Package com.independentsoft.office.word.fields

# Class Date

java.lang.Object
com.independentsoft.office.word.fields.Field
com.independentsoft.office.word.fields.Date

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class Date extends Field
The Class Date.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Date()`
  Instantiates a new date.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `clone()`
  `String`
  `getFormat()`
  Gets the format.
  `boolean`
  `isHijriCalendar()`
  Checks if is hijri calendar.
  `boolean`
  `isSakaEraCalendar()`
  Checks if is saka era calendar.
  `void`
  `setFormat​(String format)`
  Sets the format.
  `void`
  `setHijriCalendar​(boolean useHijriCalendar)`
  Sets the hijri calendar.
  `void`
  `setSakaEraCalendar​(boolean useSakaEraCalendar)`
  Sets the saka era calendar.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.fields.Field

  `getContentElements, getFieldCodes, parse`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Date

    public Date()
    Instantiates a new date.

- ## Method Details

  - ### clone

    public Date clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Specified by:
      `clone` in class `Field`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFormat

    public String getFormat()
    Gets the format.
    Returns:
      the format

  - ### setFormat

    public void setFormat​(String format)
    Sets the format.
    Parameters:
      `format` - the new format

  - ### isHijriCalendar

    public boolean isHijriCalendar()
    Checks if is hijri calendar.
    Returns:
      true, if is hijri calendar

  - ### setHijriCalendar

    public void setHijriCalendar​(boolean useHijriCalendar)
    Sets the hijri calendar.
    Parameters:
      `useHijriCalendar` - the new hijri calendar

  - ### isSakaEraCalendar

    public boolean isSakaEraCalendar()
    Checks if is saka era calendar.
    Returns:
      true, if is saka era calendar

  - ### setSakaEraCalendar

    public void setSakaEraCalendar​(boolean useSakaEraCalendar)
    Sets the saka era calendar.
    Parameters:
      `useSakaEraCalendar` - the new saka era calendar